## org.eclipse.ocl.expressions
Interface EnumLiteralExp<C,EL>

All Superinterfaces:
  ASTNode, EObject, LiteralExp<C>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  EnumLiteralExp, EnumLiteralExp

All Known Implementing Classes:
  EnumLiteralExpImpl, EnumLiteralExpImpl, EnumLiteralExpImpl

    public interface EnumLiteralExp<C,EL>

extends LiteralExp<C>

A representation of the model object 'Enum Literal Exp'.

The following features are supported:

- `Referred Enum Literal`

See Also:
  `ExpressionsPackage.getEnumLiteralExp()`

Method Summary
`boolean` `checkEnumType(DiagnosticChain diagnostics, Map<Object,Object> context)` self.type = referredEnumLiteral.enumeration
`EL` `getReferredEnumLiteral()` Returns the value of the 'Referred Enum Literal' reference
`void` `setReferredEnumLiteral(EL value)` Sets the value of the '`Referred Enum Literal`' reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferredEnumLiteral

    EL getReferredEnumLiteral()

  Returns the value of the 'Referred Enum Literal' reference.

  If the meaning of the 'Referred Enum Literal' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Enum Literal' reference.
  See Also:
    `setReferredEnumLiteral(Object)`, `ExpressionsPackage.getEnumLiteralExp_ReferredEnumLiteral()`

### setReferredEnumLiteral

    void setReferredEnumLiteral(EL value)

  Sets the value of the '`Referred Enum Literal`' reference.

  Parameters:
    `value` - the new value of the 'Referred Enum Literal' reference.
  See Also:
    `getReferredEnumLiteral()`

### checkEnumType

    boolean checkEnumType(DiagnosticChain diagnostics,
                          Map<Object,Object> context)

  self.type = referredEnumLiteral.enumeration

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.